Method: users.updateSettings

Updates the user's settings details.

HTTP request

PATCH https://health.googleapis.com/v4/{settings.name=users/*/settings}

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
settings.name

string

Identifier. The resource name of this Settings resource.

Format: users/{user}/settings Example: users/1234567890/settings or users/me/settings The {user} ID is a system-generated Google Health API user ID, a string of 1-63 characters consisting of lowercase and uppercase letters, numbers, and hyphens. The literal me can also be used to refer to the authenticated user. It takes the form users/{user}/settings.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Settings.

Response body

If successful, the response body contains an instance of Settings.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/googlehealth.settings

For more information, see the OAuth 2.0 Overview.